Skip to main content
GET
Get TTS Configuration

Query Parameters

language
string

Filter accents by language (e.g., "English", "Spanish", "French")

Response

Successfully retrieved configuration

languages
string[]
required

List of all available languages (sorted alphabetically)

Example:
accents
string[]
required

List of available accents. If language parameter was provided, only accents for that language are returned.

Example:
total_voices
integer
required

Total number of predefined voices available

Example:

150

filtered_by_language
string | null

The language filter that was applied, or null if no filter was used

Example:

"English"

filtered_voices_count
integer | null

Number of voices available for the filtered language, or null if no filter was used

Example:

85

genders
enum<string>[]

Genders available (for the language, if given)

Available options:
female,
male,
neutral
Example:
ages
enum<string>[]

Ages available (for the language, if given)

Available options:
young,
middle_aged,
old
Example:
use_cases
enum<string>[]

Use cases available (for the language, if given)

Available options:
conversational,
narrative_story,
informative_educational,
social_media,
characters_animation,
entertainment_tv,
advertisement
Example: